Service Instance Retrieve Product Components

Service Instance Retrieve Product Components
Component information for bundled products

Component information for bundled products

Required privileges: System.Anonymous

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/ServiceInstance/{moId}/RetrieveProductComponents
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case ServiceInstance/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

[
    {
        "_typeName": "string",
        "id": "string",
        "name": "string",
        "version": "string",
        "release": 0
    }
]
array of object
Optional

ProductComponentInfo data object type describes installed components.

Product component is defined as a software module that is released and versioned independently but has dependency relationship with other products. If one product, for usability or any other reason, bundles other products, ProductComponentInfo type may be used to describe installed components. For example, ESX product may bundle VI Client in its releases.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' https://{api_host}/sdk/vim25/{release}/ServiceInstance/{moId}/RetrieveProductComponents